                                     # This Dockerfile creates a static build image for CI

                                     FROM openjdk:8-jdk

                                     # Just matched `app/build.gradle`
                                     ENV ANDROID_COMPILE_SDK "28"
                                     # Just matched `app/build.gradle`
                                     ENV ANDROID_BUILD_TOOLS "28.0.3"
                                     # Version from https://developer.android.com/studio/releases/sdk-tools
                                     ENV ANDROID_SDK_TOOLS "24.4.1"

                                     ENV ANDROID_HOME /android-sdk-linux
                                     ENV PATH="${PATH}:/android-sdk-linux/platform-tools/"

                                     # install OS packages
                                     RUN apt-get --quiet update --yes
                                     RUN apt-get --quiet install --yes wget apt-utils tar unzip lib32stdc++6 lib32z1 build-essential ruby ruby-dev
                                     # We use this for xxd hex->binary
                                     RUN apt-get --quiet install --yes vim-common
                                     # install Android SDK
                                     RUN wget --quiet --output-document=android-sdk.tgz https://dl.google.com/android/android-sdk_r${ANDROID_SDK_TOOLS}-linux.tgz
                                     RUN tar --extract --gzip --file=android-sdk.tgz
                                     RUN echo y | android-sdk-linux/tools/android --silent update sdk --no-ui --all --filter android-${ANDROID_COMPILE_SDK}
                                     RUN echo y | android-sdk-linux/tools/android --silent update sdk --no-ui --all --filter platform-tools
                                     RUN echo y | android-sdk-linux/tools/android --silent update sdk --no-ui --all --filter build-tools-${ANDROID_BUILD_TOOLS}
                                     RUN echo y | android-sdk-linux/tools/android --silent update sdk --no-ui --all --filter extra-android-m2repository
                                     RUN echo y | android-sdk-linux/tools/android --silent update sdk --no-ui --all --filter extra-google-google_play_services
                                     RUN echo y | android-sdk-linux/tools/android --silent update sdk --no-ui --all --filter extra-google-m2repository
